Bug 144453 - strace nor working with kernel-2.6.9-1.724_FC3
strace nor working with kernel-2.6.9-1.724_FC3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Roland McGrath
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-07 04:39 EST by Eivind Arnesen
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-01 23:03:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eivind Arnesen 2005-01-07 04:39:08 EST
Description of problem:

strace-4.5.8-1 not working with the latest kernel
Version-Release number of selected component (if applicable):

The only output I receive is:
e.g.
execve("/bin/ping", ["ping", "server.domain"], [/* 21 vars */]) = 0
I was able to trace PIDs.

How reproducible:
Try strace something, output always like the execve line above

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Going back to the previous kernel 2.6.9-1.681_FC3 solves the
problem
Comment 1 Haakon Riiser 2005-01-07 07:30:52 EST
I think the same error breaks gdb too.  Whenever I try to debug
something, gdb refuses to start the program and says

warning: Child process unexpectedly missing: No child processes
Program terminated with signal ?, Unknown signal.

It also results in a core dump.  This bug makes 2.6.9-1.724_FC3
completely useless, so please increase the priority of this bug.
Comment 2 Dmitry Butskoy 2005-01-11 08:17:14 EST
  With new updated kernel-2.6.10-1.737_FC3 strace/ltrace is OK...
Comment 3 Roland McGrath 2005-02-01 23:03:58 EST
This was a kernel issue and is now resolved anyway.

Note You need to log in before you can comment on or make changes to this bug.